HDF5 documents and links Introduction to HDF5 HDF5 User Guide | And in this document, the HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5I H5P H5R H5S H5T H5Z Tools Datatypes

# H5F: File Interface

## File API Functions

These functions are designed to provide file-level access to HDF5 files. Further manipulation of objects inside a file is performed through one of APIs documented below.

The C Interfaces:

- H5Fcreate
- H5Fopen
- H5Freopen
- H5Fclose
- H5Fflush

- H5Fis_hdf5
- H5Fmount
- H5Funmount
- H5Fget_vfd_handle
- H5Fget_create_plist

- H5Fget_access_plist
- H5Fget_obj_count
- H5Fget_obj_ids
- H5Fget_freespace

Alphabetical Listing

- H5Fclose
- H5Fcreate
- H5Fflush
- H5Fget_access_plist
- H5Fget_create_plist

- H5Fget_freespace
- H5Fget_obj_count
- H5Fget_obj_ids
- H5Fget_vfd_handle
- H5Fis_hdf5

- H5Fmount
- H5Fopen
- H5Freopen
- H5Funmount

The FORTRAN90 Interfaces:
In general, each FORTRAN90 subroutine performs exactly the same task as the corresponding C function.

- h5fcreate_f
- h5fopen_f
- h5freopen_f
- h5fclose_f
- h5fflush_f

- h5fis_hdf5_f
- h5fmount_f
- h5funmount_f
- h5fget_vfd_handle_f
- h5fget_create_plist_f

- h5fget_access_plist_f
- h5fget_obj_count_f
- h5fget_obj_ids_f
- h5fget_freespace_f

Name: H5Fclose
Signature:
  herr_t `H5Fclose`(hid_t `file_id` )
Purpose:
  Terminates access to an HDF5 file.
Description:
  `H5Fclose` terminates access to an HDF5 file by flushing all data to storage and terminating access to the file through `file_id`.

  If this is the last file identifier open for the file and no other access identifier is open (e.g., a dataset identifier, group identifier, or shared datatype identifier), the file will be fully closed and access will end.

  Delayed close:
  Note the following deviation from the above-described behavior. If `H5Fclose` is called for a file but one or more objects within the file remain open, those objects will remain accessible until they are individually closed. Thus, if the dataset `data_sample` is open when `H5Fclose` is called for the file containing it, `data_sample` will remain open and accessible (including writable) until it is explicitely closed. The file will be automatically closed once all objects in the file have been closed.

  Be warned, hoever, that there are circumstances where it is not possible to delay closing a file. For example, an MPI-IO file close is a collective call; all of the processes that opened the file must close it collectively. The file cannot be closed at some time in the future by each process in an independent fashion. Another example is that an application using an AFS token-based file access privilage may destroy its AFS token after `H5Fclose` has returned successfully. This would make any future access to the file, or any object within it, illegal.

  In such situations, applications must close all open objects in a file before calling `H5Fclose`. It is generally recommended to do so in all cases.

Parameters:

hid_t `file_id`
  IN: Identifier of a file to terminate access to.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5fclose_f

      SUBROUTINE h5fclose_f(file_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: file_id ! File identifier
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5fclose_f

Name: H5Fcreate
Signature:
  hid_t `H5Fcreate`(const char *`name`, unsigned `flags`, hid_t `create_id`, hid_t `access_id` )
Purpose:
  Creates HDF5 files.
Description:
  `H5Fcreate` is the primary function for creating HDF5 files .

  The `flags` parameter determines whether an existing file will be overwritten. All newly created files are opened for both reading and writing. All flags may be combined with the bit-wise OR operator (`|') to change the behavior of the `H5Fcreate` call.

  The more complex behaviors of file creation and access are controlled through the file-creation and file-access property lists. The value of `H5P_DEFAULT` for a property list value indicates that the library should use the default values for the appropriate property list.

  The return value is a file identifier for the newly-created file; this file identifier should be closed by calling `H5Fclose` when it is no longer needed.

  Special case -- File creation in the case of an already-open file:
  If a file being created is already opened, by either a previous `H5Fopen` or `H5Fcreate` call, the HDF5 library may or may not detect that the open file and the new file are the same physical file. (See `H5Fopen` regarding the limitations in detecting the re-opening of an already-open file.)

  If the library detects that the file is already opened, `H5Fcreate` will return a failure, regardless of the use of `H5F_ACC_TRUNC`.

  If the library does not detect that the file is already opened and `H5F_ACC_TRUNC` is not used, `H5Fcreate` will return a failure because the file already exists. Note that this is correct behavior.

  But if the library does not detect that the file is already opened and `H5F_ACC_TRUNC` is used, `H5Fcreate` will truncate the existing file and return a valid file identifier. Such a truncation of a currently-opened file will almost certainly result in errors. While unlikely, the HDF5 library may not be able to detect, and thus report, such errors.

  Applications should avoid calling `H5Fcreate` with an already opened file.

Parameters:

const char *`name`
  IN: Name of the file to access.
uintn `flags`
  IN: File access flags. Allowable values are:
  `H5F_ACC_TRUNC`
    Truncate file, if it already exists, erasing all data previously stored in the file.
  `H5F_ACC_EXCL`
    Fail if file already exists.
  - `H5F_ACC_TRUNC` and `H5F_ACC_EXCL` are mutually exclusive; use exactly one.
  - An additional flag, `H5F_ACC_DEBUG`, prints debug information. This flag is used only by HDF5 library developers; it is neither tested nor supported for use in applications.
hid_t `create_id`
  IN: File creation property list identifier, used when modifying default file meta-data. Use `H5P_DEFAULT` for default file creation properties.
hid_t `access_id`
  IN: File access property list identifier. If parallel file access is desired, this is a collective call according to the communicator stored in the `access_id`. Use `H5P_DEFAULT` for default file access properties.

Returns:
  Returns a file identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5fcreate_f

      SUBROUTINE h5fcreate_f(name, access_flags, file_id, hdferr, &
                             creation_prp, access_prp)
        IMPLICIT NONE
        CHARACTER(LEN=*), INTENT(IN) :: name   ! Name of the file
        INTEGER, INTENT(IN) :: access_flag     ! File access flags
                                               ! Possible values are:
                                               !     H5F_ACC_RDWR_F
                                               !     H5F_ACC_RDONLY_F
                                               !     H5F_ACC_TRUNC_F
                                               !     H5F_ACC_EXCL_F
                                               !     H5F_ACC_DEBUG_F
        INTEGER(HID_T), INTENT(OUT) :: file_id ! File identifier
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
        INTEGER(HID_T), OPTIONAL, INTENT(IN) :: creation_prp
                                               ! File creation propertly
                                               ! list identifier, if not
                                               ! specified its value is
                                               ! H5P_DEFAULT_F
        INTEGER(HID_T), OPTIONAL, INTENT(IN) :: access_prp
                                               ! File access property list
                                               ! identifier, if not
                                               ! specified its value is
                                               ! H5P_DEFAULT_F
      END SUBROUTINE h5fcreate_f

Name: H5Fflush
Signature:
  herr_t `H5Fflush`(hid_t `object_id`, H5F_scope_t `scope` )
Purpose:
  Flushes all buffers associated with a file to disk.
Description:
  `H5Fflush` causes all buffers associated with a file to be immediately flushed to disk without removing the data from the cache.

  `object_id` can be any object associated with the file, including the file itself, a dataset, a group, an attribute, or a named data type.

  `scope` specifies whether the scope of the flushing action is global or local. Valid values are

  `H5F_SCOPE_GLOBAL` |  | Flushes the entire virtual file.
  `H5F_SCOPE_LOCAL` |  | Flushes only the specified file.

Note:
  HDF5 does not possess full control over buffering. `H5Fflush` flushes the internal HDF5 buffers then asks the operating system (the OS) to flush the system buffers for the open files. After that, the OS is responsible for ensuring that the data is actually flushed to disk.
Parameters:

hid_t `object_id`
  IN: Identifier of object used to identify the file.
H5F_scope_t `scope`
  IN: Specifies the scope of the flushing action.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5fflush_f

      SUBROUTINE h5fflush_f(obj_id, new_file_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: obj_id      ! Object identifier
        INTEGER, INTENT(IN)         :: scope       ! Flag with two possible values:
                                                   !     H5F_SCOPE_GLOBAL_F
                                                   !     H5F_SCOPE_LOCAL_F
        INTEGER, INTENT(OUT)        :: hdferr      ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5fflush_f

Name: H5Fget_access_plist
Signature:
  hid_t `H5Fget_access_plist`(hid_t `file_id`)
Purpose:
  Returns a file access property list identifier.
Description:
  `H5Fget_access_plist` returns the file access property list identifier of the specified file.

  See "File Access Properties" in H5P: Property List Interface in this reference manual and "File Access Property Lists" in Files in the HDF5 User's Guide for additional information and related functions.

Parameters:

hid_t `file_id`
  IN: Identifier of file to get access property list of

Returns:
  Returns a file access property list identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5fget_access_plist_f

      SUBROUTINE h5fget_access_plist_f(file_id, fcpl_id, hdferr)

        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)   :: file_id ! File identifier
        INTEGER(HID_T), INTENT(OUT)  :: fapl_id ! File access property list identifier
        INTEGER, INTENT(OUT)         :: hdferr  ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5fget_access_plist_f

Name: H5Fget_create_plist
Signature:
  hid_t `H5Fget_create_plist`(hid_t `file_id` )
Purpose:
  Returns a file creation property list identifier.
Description:
  `H5Fget_create_plist` returns a file creation property list identifier identifying the creation properties used to create this file. This function is useful for duplicating properties when creating another file.

  See "File Creation Properties" in H5P: Property List Interface in this reference manual and "File Creation Properties" in Files in the HDF5 User's Guide for additional information and related functions.

Parameters:

hid_t `file_id`
  IN: Identifier of the file to get creation property list of

Returns:
  Returns a file creation property list identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5fget_create_plist_f

      SUBROUTINE h5fget_create_plist_f(file_id, fcpl_id, hdferr)

        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)   :: file_id ! File identifier
        INTEGER(HID_T), INTENT(OUT)  :: fcpl_id ! File creation property list
                                                ! identifier
        INTEGER, INTENT(OUT)         :: hdferr  ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5fget_create_plist_f

Name: H5Fget_freespace
Signature:
  hssize_t `H5Fget_freespace`(hid_t `file_id`)
Purpose:
  Returns the amount of free space in a file.
Description:
  Given the identifier of an open file, `file_id`, `H5Fget_freespace` returns the amount of space that is unused by any objects in the file.

  Currently, the HDF5 library only tracks free space in a file from a file open or create until that file is closed, so this routine will only report the free space that has been created during that interval.

Parameters:

hid_t `file_id`
  IN: Identifier of a currently-open HDF5 file

Returns:
  Returns a the amount of free space in the file if successful; otherwise returns a negative value.
Returns:
  Returns a file creation property list identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5fget_freespace_f

      SUBROUTINE h5fget_freespace_f(file_id, free_space, hdferr)

        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: file_id       ! File identifier
        INTEGER(HSSIZE_T), INTENT(OUT) :: free_space ! Amount of free space in file
        INTEGER, INTENT(OUT)        :: hdferr        ! Error code
                                                     ! 0 on success and -1 on failure
      END SUBROUTINE h5fget_freespace_f

Name: H5Fget_obj_count
Signature:
  int `H5Fget_obj_count`(hid_t `file_id`, unsigned int `types` )
Purpose:
  Returns the number of open object identifiers for an open file.
Description:
  Given the identifier of an open file, `file_id`, and the desired object types, `types`, `H5Fget_obj_count` returns the number of open object identifiers for the file.

  To retrieve a count of open identifiers for open objects in all HDF5 application files that are currently open, pass the value `H5F_OBJ_ALL` in `file_id`.

  The types of objects to be counted are specified in `types` as follows:

  `H5F_OBJ_FILE` | Files only
  `H5F_OBJ_DATASET` | Datasets only
  `H5F_OBJ_GROUP` | Groups only
  `H5F_OBJ_DATATYPE` | Named datatypes only
  `H5F_OBJ_ATTR` | Attributes only
  `H5F_OBJ_ALL` | All of the above (I.e., `H5F_OBJ_FILE` | `H5F_OBJ_DATASET` | `H5F_OBJ_GROUP` | `H5F_OBJ_DATATYPE` | `H5F_OBJ_ATTR` )

  Multiple object types can be combined with the logical `OR` operator (`|`). For example, the expression `(H5F_OBJ_DATASET|H5F_OBJ_GROUP)` would call for datasets and groups.
Parameters:

hid_t `file_id`
  IN: Identifier of a currently-open HDF5 file or `H5F_OBJ_ALL` for all currently-open HDF5 files.
unsigned int `types`
  IN: Type of object for which identifiers are to be returned.

Returns:
  Returns a the number of open objects if successful; otherwise returns a negative value.
Fortran90 Interface: h5fget_obj_count_f

      SUBROUTINE h5fget_obj_count_f(file_id, obj_type, obj_count, hdferr)

        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: file_id   ! File identifier
        INTEGER, INTENT(IN)         :: obj_type  ! Object types, possible values are:
                                                 !     H5F_OBJ_FILE_F
                                                 !     H5F_OBJ_GROUP_F
                                                 !     H5F_OBJ_DATASET_F
                                                 !     H5F_OBJ_DATATYPE_F
                                                 !     H5F_OBJ_ALL_F
        INTEGER, INTENT(OUT)        :: obj_count ! Number of opened objects
        INTEGER, INTENT(OUT)        :: hdferr    ! Error code
                                                 ! 0 on success and -1 on failure
      END SUBROUTINE h5fget_obj_count_f

Name: H5Fget_obj_ids
Signature:
  int `H5Fget_obj_ids`(hid_t `file_id`, unsigned int `types`, int `max_objs`, hid_t *`obj_id_list` )
Purpose:
  Returns a list of open object identifiers.
Description:
  Given the file identifier `file_id` and the type of objects to be identified, `types`, `H5Fget_obj_ids` returns the list of identifiers for all open HDF5 objects fitting the specified criteria.

  To retrieve identifiers for open objects in all HDF5 application files that are currently open, pass the value `H5F_OBJ_ALL` in `file_id`.

  The types of object identifiers to be retrieved are specified in `types` using the codes listed for the same parameter in `H5Fget_obj_count`

  To retrieve identifiers for all open objects, pass a negative value for the `max_objs`.

Parameters:

hid_t `file_id`
  IN: Identifier of a currently-open HDF5 file or `H5F_OBJ_ALL` for all currently-open HDF5 files.
unsigned int `types`
  IN: Type of object for which identifiers are to be returned.
int `max_objs`
  IN: Maximum number of object identifiers to place into `obj_id_list`.
hid_t *`obj_id_list`
  OUT: Pointer to the returned list of open object identifiers.

Returns:
  Returns number of objects placed into `obj_id_list` if successful; otherwise returns a negative value.
Fortran90 Interface: h5fget_obj_ids_f

      SUBROUTINE h5fget_obj_ids_f(file_id, obj_type, max_objs, obj_ids, hdferr)

        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)   :: file_id  ! File identifier
        INTEGER,        INTENT(IN)   :: obj_type ! Object types, possible values are:
                                                 !     H5F_OBJ_FILE_F
                                                 !     H5F_OBJ_GROUP_F
                                                 !     H5F_OBJ_DATASET_F
                                                 !     H5F_OBJ_DATATYPE_F
                                                 !     H5F_OBJ_ALL_F
        INTEGER, INTENT(IN)          :: max_objs ! Maximum number of object
                                                 ! identifiers to retrieve
        INTEGER(HID_T), DIMENSION(*), INTENT(OUT) :: obj_ids
                                                 ! Array of requested object
                                                 ! identifiers
        INTEGER, INTENT(OUT)        :: hdferr    ! Error code
                                                 ! 0 on success and -1 on failure
      END SUBROUTINE h5fget_obj_ids_f

Name: H5Fget_vfd_handle
Signature:
  herr_t `H5Fget_vfd_handle`(hid_t `file_id`, hid_t `fapl_id`, void *`file_handle` )
Purpose:
  Returns pointer to the file handle from the virtual file driver.
Description:
  Given the file identifier `file_id` and the file access property list `fapl_id`, `H5Fget_vfd_handle` returns a pointer to the file handle from the low-level file driver currently being used by the HDF5 library for file I/O.
Notes:
  Users are not supposed to modify any file through this file handle.

  This file handle is dynamic and is valid only while the file remains open; it will be invalid if the file is closed and reopened or opened during a subsequent session.

Parameters:

hid_t `file_id`
  IN: Identifier of the file to be queried.
hid_t `fapl_id`
  IN: File access property list identifier. For most drivers, the value will be `H5P_DEFAULT`. For the `FAMILY` or `MULTI` drivers, this value should be defined through the property list functions: `H5Pset_family_offset` for the `FAMILY` driver and `H5Pset_multi_type` for the `MULTI` driver.
void *`file_handle`
  OUT: Pointer to the file handle being used by the low-level virtual file driver.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.

Name: H5Fis_hdf5
Signature:
  htri_t `H5Fis_hdf5`(const char *`name` )
Purpose:
  Determines whether a file is in the HDF5 format.
Description:
  `H5Fis_hdf5` determines whether a file is in the HDF5 format.
Parameters:

const char *`name`
  IN: File name to check format.

Returns:
  When successful, returns a positive value, for `TRUE`, or `0` (zero), for `FALSE`. Otherwise returns a negative value.
Fortran90 Interface: h5fis_hdf5_f

      SUBROUTINE h5fis_hdf5_f(name, status, hdferr)
        IMPLICIT NONE
        CHARACTER(LEN=*), INTENT(IN) :: name   ! Name of the file
        LOGICAL, INTENT(OUT) :: status         ! This parameter indicates
                                               ! whether file is an HDF5 file
                                               ! ( TRUE or FALSE )
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5fis_hdf5_f

Name: H5Fmount
Signature:
  herr_t `H5Fmount`(hid_t `loc_id`, const char *`name`, hid_t `child_id`, hid_t `plist_id` )
Purpose:
  Mounts a file.
Description:
  `H5Fmount` mounts the file specified by `child_id` onto the group specified by `loc_id` and `name` using the mount properties `plist_id`.

  Note that `loc_id` is either a file or group identifier and `name` is relative to `loc_id`.

Parameters:

hid_t `loc_id`
  IN: Identifier for of file or group in which `name` is defined.
const char *`name`
  IN: Name of the group onto which the file specified by `child_id` is to be mounted.
hid_t `child_id`
  IN: Identifier of the file to be mounted.
hid_t `plist_id`
  IN: Identifier of the property list to be used.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5fmount_f

      SUBROUTINE h5fmount_f(loc_id, name, child_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: loc_id      ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN):: name        ! Group name at locationloc_id
        INTEGER(HID_T), INTENT(IN)  :: child_id    ! File(to be mounted) identifier
        INTEGER, INTENT(OUT)        :: hdferr      ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5fmount_f

Name: H5Fopen
Signature:
  hid_t `H5Fopen`(const char *`name`, unsigned `flags`, hid_t `access_id` )
Purpose:
  Opens an existing file.
Description:
  `H5Fopen` opens an existing file and is the primary function for accessing existing HDF5 files.

  The parameter `access_id` is a file access property list identifier or `H5P_DEFAULT` if the default I/O access parameters are to be used

  The `flags` argument determines whether writing to an existing file will be allowed. The file is opened with read and write permission if `flags` is set to `H5F_ACC_RDWR`. All flags may be combined with the bit-wise OR operator (`|') to change the behavior of the file open call. More complex behaviors of file access are controlled through the file-access property list.

  The return value is a file identifier for the open file; this file identifier should be closed by calling `H5Fclose` when it is no longer needed.

  Special case -- Multiple opens:
  A file can often be opened with a new `H5Fopen` call without closing an already-open identifier established in a previous `H5Fopen` or `H5Fcreate` call. Each such `H5Fopen` call will return a unique identifier and the file can be accessed through any of these identifiers as long as the identifier remains valid. In such multiply-opened cases, all the open calls should use the same `flags` argument.

  In some cases, such as files on a local Unix file system, the HDF5 library can detect that a file is multiply opened and will maintain coherent access among the file identifiers.

  But in many other cases, such as parallel file systems or networked file systems, it is not always possible to detect multiple opens of the same physical file. In such cases, HDF5 will treat the file identifiers as though they are accessing different files and will be unable to maintain coherent access. Errors are likely to result in these cases. While unlikely, the HDF5 library may not be able to detect, and thus report, such errors.

  It is generally recommended that applications avoid multiple opens of the same file.

Parameters:

const char *`name`
  IN: Name of the file to access.
unsigned `flags`
  IN: File access flags. Allowable values are:
  `H5F_ACC_RDWR`
    Allow read and write access to file.
  `H5F_ACC_RDONLY`
    Allow read-only access to file.
  - `H5F_ACC_RDWR` and `H5F_ACC_RDONLY` are mutually exclusive; use exactly one.
  - An additional flag, `H5F_ACC_DEBUG`, prints debug information. This flag is used only by HDF5 library developers; it is neither tested nor supported for use in applications.
hid_t `access_id`
  IN: Identifier for the file access properties list. If parallel file access is desired, this is a collective call according to the communicator stored in the `access_id`. Use `H5P_DEFAULT` for default file access properties.

Returns:
  Returns a file identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5fopen_f

      SUBROUTINE h5fopen_f(name, access_flags, file_id, hdferr, &
                           access_prp)
        IMPLICIT NONE
        CHARACTER(LEN=*), INTENT(IN) :: name   ! Name of the file
        INTEGER, INTENT(IN) :: access_flag     ! File access flags
                                               ! Possible values are:
                                               !     H5F_ACC_RDWR_F
                                               !     H5F_ACC_RDONLY_F
        INTEGER(HID_T), INTENT(OUT) :: file_id ! File identifier
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
        INTEGER(HID_T), OPTIONAL, INTENT(IN) :: access_prp
                                               ! File access property list
                                               ! identifier
      END SUBROUTINE h5fopen_f

Name: H5Freopen
Signature:
  hid_t `H5Freopen`(hid_t `file_id` )
Purpose:
  Returns a new identifier for a previously-opened HDF5 file.
Description:
  `H5Freopen` returns a new file identifier for an already-open HDF5 file, as specified by `file_id`. Both identifiers share caches and other information. The only difference between the identifiers is that the new identifier is not mounted anywhere and no files are mounted on it.

  Note that there is no circumstance under which `H5Freopen` can actually open a closed file; the file must already be open and have an active `file_id`. E.g., one cannot close a file with `H5Fclose (file_id)` then use `H5Freopen (file_id)` to reopen it.

  The new file identifier should be closed by calling `H5Fclose` when it is no longer needed.

Parameters:

hid_t `file_id`
  IN: Identifier of a file for which an additional identifier is required.

Returns:
  Returns a new file identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5freopen_f

      SUBROUTINE h5freopen_f(file_id, new_file_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: file_id     ! File identifier
        INTEGER(HID_T), INTENT(OUT) :: new_file_id ! New file identifier
        INTEGER, INTENT(OUT)        :: hdferr      ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5freopen_f

Name: H5Funmount
Signature:
  herr_t `H5Funmount`(hid_t `loc_id`, const char *`name` )
Purpose:
  Unmounts a file.
Description:
  Given a mount point, `H5Funmount` dissassociates the mount point's file from the file mounted there. This function does not close either file.

  The mount point can be either the group in the parent or the root group of the mounted file (both groups have the same name). If the mount point was opened before the mount then it is the group in the parent; if it was opened after the mount then it is the root group of the child.

  Note that `loc_id` is either a file or group identifier and `name` is relative to `loc_id`.

Parameters:

hid_t `loc_id`
  IN: File or group identifier for the location at which the specified file is to be unmounted.
const char *`name`
  IN: Name of the mount point.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5funmount_f

      SUBROUTINE h5funmount_f(loc_id, name, child_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN)  :: loc_id      ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN):: name        ! Group name at location loc_id
        INTEGER, INTENT(OUT)        :: hdferr      ! Error code
                                                   ! 0 on success and -1 on failure
      END SUBROUTINE h5funmount_f

HDF5 documents and links Introduction to HDF5 HDF5 User Guide | And in this document, the HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5I H5P H5R H5S H5T H5Z Tools Datatypes